View Issue Details

IDProjectCategoryView StatusLast Update
0032596CommunityOCCT:Data Exchangepublic2021-12-13 14:56
Reporterlrineau Assigned Tosmoskvin  
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
PlatformLinuxOSDebian 6.0 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032596: [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly
DescriptionReading STEP with OCCT 7.6 (commit 1657870517, branch `CR32557`), or with OCCT 7.5, the file `abc_0_13.step` (extracted from the ABC database) does not open correctly: it has 101 faces instead of 99.

        STEP Loading done : 4356 Entities
15:58 Count	STEP Reader Warnings for 'abc_0_13.step'
       -----	-----------
           1	W:(NAMED_UNIT,PLANE_ANGLE_UNIT,SI_UNIT): Parameter n0.1 (dimensions) not Derived
           1	W:(NAMED_UNIT,SI_UNIT,SOLID_ANGLE_UNIT): Parameter n0.1 (dimensions) not Derived
           1	W:(LENGTH_UNIT,NAMED_UNIT,SI_UNIT): Parameter n0.1 (dimensions) not Derived
          Nb Total:3  for 3 items
15:58 Count	STEP Translator Warnings for 'abc_0_13.step'
       -----	-----------
          60	W:LINE: Poor result from projection vertex / curve 3d
          81	W:CIRCLE: Poor result from projection vertex / curve 3d
          39	W:B_SPLINE_CURVE_WITH_KNOTS: Poor result from projection vertex / curve 3d
           4	W:EDGE_LOOP: Edges were intersecting, corrected
          18	W:ADVANCED_FACE: Missing seam-edge added
           2	W:ELLIPSE: Poor result from projection vertex / curve 3d
           1	W:CLOSED_SHELL: Faces were incorrectly oriented in the shell, corrected
          Nb Total:205  for 7 items
Steps To Reproduce
pload XDE VISUALIZATION MODELING
testreadstep abc_0_13.step s
vinit View1
vright
vdisplay -dispMode 1 s
vfit
if { [vreadpixel 200 200 -rgb -name] != "BLACK" } { puts "Error" }



Using a code like that
  STEPControl_Reader reader;
  const auto error = reader.ReadFile("abc_0_13.step");
  if(error != IFSelect_RetDone) {
    std::cerr << "File abc_0_13.step is NOT loaded\n"
              << "\n Error code: " << static_cast<int>(error) << std::endl;
    return EXIT_FAILURE;
  }
  Standard_Integer NbTrans = reader.TransferRoots();
  assert(NbTrans == 1);
  assert(reader.NbShapes() == 1);

  TopoDS_Shape main_shape = reader.OneShape();


The easiest way is to open the attached file with CAD assistant versions 1.4 and 1.5:

The result with those two versions differ:
  - cad_assistant_1.4.0_2020-01-16_lin64
  - cad_assistant_1.5.0_2020-12-28_lin64

TagsNo tags attached.
Test case number bugs/step/bug32596

Attached Files

  • abc_0_13.step (334,583 bytes)
  • CAD assistant 1.4.png (131,195 bytes)
  • CAD assistant 1.4-info.png (210,774 bytes)
  • cad assistant 1.5.png (159,461 bytes)
  • cad assistant 1.5-info.png (217,619 bytes)

Relationships

child of 0029564 closedbugmaster Data Exchange - STEP Import and Export failure 

Activities

lrineau

2021-09-29 15:52

reporter  

abc_0_13.step (334,583 bytes)

lrineau

2021-09-29 15:52

reporter  

CAD assistant 1.4.png (131,195 bytes)

lrineau

2021-09-29 15:53

reporter  

CAD assistant 1.4-info.png (210,774 bytes)

lrineau

2021-09-29 15:53

reporter  

cad assistant 1.5.png (159,461 bytes)

lrineau

2021-09-29 15:53

reporter  

cad assistant 1.5-info.png (217,619 bytes)

lrineau

2021-09-29 15:56

reporter   ~0104429

The bug is that the hole in the center of the CAD object appear as filled, with OCCT 7.6, or CAD assistant 1.5.

git

2021-09-29 22:08

administrator   ~0104440

Branch CR32596 has been created by dpasukhi.

SHA-1: 9c84886042f3ea5e1c93fe72117407ea441debdc


Detailed log of new commits:

Author: dpasukhi
Date: Wed Sep 29 22:03:26 2021 +0300

    0032596: [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly
    
    Fixed typo in the StepToTopoDS_TranslateFace.cxx after 0029564 issue

git

2021-09-29 22:33

administrator   ~0104441

Branch CR32596 has been updated forcibly by dpasukhi.

SHA-1: e98a89517372c57895f717999c159438527b7e75

git

2021-09-30 18:57

administrator   ~0104456

Branch CR32596 has been updated forcibly by dpasukhi.

SHA-1: 661d11aacdcd71df6f416256f4be56896bae7a5e

dpasukhi

2021-09-30 19:13

developer   ~0104457

Result Shapes of test cases have been edit(no regressions):
- de step_1 X2
- de step_1 E6
- de step_3 A9
- de step_3 D8
- de step_3 A5
- de step_2 S5
- de step_2 D2
- de step_2 A5
- de step_2 A3
Fixed problem with natural bounds for face based on the spherical and Bspline surface and having more then one bound represented by Vertex loop

dpasukhi

2021-09-30 20:34

developer   ~0104458

All tests are ok, see:
http://occt-tests/CR32596-master-dpasukhi-OCCT/Debian80-64/diff_summary.html
http://occt-tests/CR32596-master-dpasukhi-OCCT/Windows-64-VC14/diff_summary.html

Restart edited test cases (no regressions):
http://jenkins-test-08.nnov.opencascade.com/view/CR32596-master-dpasukhi/view/TESTING/job/CR32596-master-dpasukhi-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/
http://jenkins-test-08.nnov.opencascade.com/view/CR32596-master-dpasukhi/view/TESTING/job/CR32596-master-dpasukhi-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

OCCT: CR32596
PROD: NO

smoskvin

2021-10-02 10:36

administrator   ~0104486

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105880

Branch CR32596 has been deleted by kgv.

SHA-1: 661d11aacdcd71df6f416256f4be56896bae7a5e

Related Changesets

occt: master 7d5e26eb

2021-09-29 19:03:26

dpasukhi


Committer: smoskvin Details Diff
0032596: [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly

Fixed typo in the StepToTopoDS_TranslateFace.cxx after 0029564 issue
Affected Issues
0032596
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff File
add - tests/bugs/step/bug32596 Diff File
mod - tests/de/step_1/E6 Diff File
mod - tests/de/step_2/A3 Diff File
mod - tests/de/step_2/A5 Diff File
mod - tests/de/step_2/D2 Diff File

Issue History

Date Modified Username Field Change
2021-09-29 15:52 lrineau New Issue
2021-09-29 15:52 lrineau Assigned To => gka
2021-09-29 15:52 lrineau File Added: abc_0_13.step
2021-09-29 15:52 lrineau File Added: CAD assistant 1.4.png
2021-09-29 15:53 lrineau File Added: CAD assistant 1.4-info.png
2021-09-29 15:53 lrineau File Added: cad assistant 1.5.png
2021-09-29 15:53 lrineau File Added: cad assistant 1.5-info.png
2021-09-29 15:56 lrineau Note Added: 0104429
2021-09-29 15:57 kgv Product Version => 7.5.0
2021-09-29 15:57 kgv Target Version => 7.6.0
2021-09-29 15:57 kgv Summary OCCT 7.5/7.6 do not open file correctly (regression over OCCT 7.4) => Data Exchange, STEP Reader OCCT 7.5/7.6 do not open file correctly (regression over OCCT 7.4)
2021-09-29 16:00 kgv Description Updated
2021-09-29 16:00 kgv Steps to Reproduce Updated
2021-09-29 16:06 kgv Steps to Reproduce Updated
2021-09-29 16:06 kgv Product Version 7.5.0 => 7.6.0
2021-09-29 16:07 kgv Relationship added related to 0032557
2021-09-29 16:07 kgv Relationship deleted related to 0032557
2021-09-29 16:08 kgv Summary Data Exchange, STEP Reader OCCT 7.5/7.6 do not open file correctly (regression over OCCT 7.4) => [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly
2021-09-29 21:10 kgv Relationship added child of 0029564
2021-09-29 21:27 gka Assigned To gka => dpasukhi
2021-09-29 22:08 git Note Added: 0104440
2021-09-29 22:33 git Note Added: 0104441
2021-09-30 18:57 git Note Added: 0104456
2021-09-30 19:13 dpasukhi Note Added: 0104457
2021-09-30 20:34 dpasukhi Note Added: 0104458
2021-09-30 20:37 dpasukhi Test case number => bugs/step/bug32596
2021-10-01 09:55 kgv Status new => resolved
2021-10-01 09:55 kgv Summary [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly => Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly
2021-10-01 09:55 kgv Status resolved => reviewed
2021-10-01 10:02 kgv Summary Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly => [REGRESSION] Data Exchange, STEP Reader - OCCT 7.6.0dev does not open file correctly
2021-10-01 18:29 dpasukhi Status reviewed => assigned
2021-10-01 18:29 dpasukhi Assigned To dpasukhi => gka
2021-10-01 18:29 dpasukhi Status assigned => resolved
2021-10-01 18:31 dpasukhi Assigned To gka => bugmaster
2021-10-01 18:31 dpasukhi Status resolved => reviewed
2021-10-02 10:36 smoskvin Note Added: 0104486
2021-10-02 10:36 smoskvin Status reviewed => tested
2021-10-02 11:32 smoskvin Changeset attached => occt master 7d5e26eb
2021-10-02 11:32 smoskvin Assigned To bugmaster => smoskvin
2021-10-02 11:32 smoskvin Status tested => verified
2021-10-02 11:32 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105880